%define api	%{url_ver}
%define major	0
%define libname	%mklibname gnote %{api} %{major}
%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Note-taking application
Name:		gnote
Version:	3.26.0
Release:	%mkrel 1
Group:		Graphical desktop/GNOME
License:	GPLv3 
URL:		http://live.gnome.org/Gnote
Source0:       http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires: boost-devel
BuildRequires: libuuid-devel
BuildRequires: libext2fs-devel
BuildRequires: libxslt-devel
BuildRequires: libgtkspell-devel
BuildRequires: dbus-c++-devel
BuildRequires: intltool
BuildRequires: desktop-file-utils


%description
Gnote is a simple desktop note-taking application for GNOME. 
Easy to use, but with potential to help you organize the ideas and
information you deal with every day. Using a
WikiWiki-like linking system, organizing ideas is as simple as typing
a name. Branching an idea off is easy as pressing the Link button. And
links between your ideas won't break, even when renaming and
reorganizing them.

This is a clone of Tomboy, in C++.

%prep
%setup -q


%build
%configure2_5x 
%make

%install
%makeinstall_std

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -exec rm -rf {} \;
rm -rf %{buildroot}/%{_libdir}//libgnote.so


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-only-show-in="GNOME" \
  --remove-only-show-in="XFCE" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%clean
%__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README TODO
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/%{name}/
%{_datadir}/appdata/gnote.appdata.xml
%{_datadir}/applications/*
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/gnome-shell/search-providers/gnote-search-provider.ini
%{_mandir}/man1/%{name}.1*
%{_libdir}/lib%{name}-%{api}.so.%{major}
%{_libdir}/lib%{name}-%{api}.so.%{major}.*
%{_datadir}/help

%changelog
* Tue Nov 20 2018 adrianomorselli <adrianomorselli> 3.26.0-1uplos2018
- update
